export = HttpGateway;
declare class HttpGateway {
    /**
     * @param {IPFS} ipfs
     */
    constructor(ipfs: IPFS);
    _ipfs: import("ipfs-core-types").IPFS;
    _log: debug.Debugger & {
        error: debug.Debugger;
    };
    /** @type {Server[]} */
    _gatewayServers: Server[];
    start(): Promise<this>;
    /**
     * @param {string} host
     * @param {string} port
     * @param {IPFS} ipfs
     */
    _createGatewayServer(host: string, port: string, ipfs: IPFS): Promise<Hapi.Server>;
    stop(): Promise<void>;
}
declare namespace HttpGateway {
    export { IPFS, Server };
}
import debug = require("debug");
type Server = import('./types').Server;
type IPFS = import('ipfs-core-types').IPFS;
import Hapi = require("@hapi/hapi");
//# sourceMappingURL=index.d.ts.map